# Uses of Class
org.springframework.expression.spel.SpelParserConfiguration

Packages that use SpelParserConfiguration
Package
Description
org.springframework.expression.spel
SpEL's central implementation package.
org.springframework.expression.spel.standard
SpEL's standard parser implementation.

## Uses of SpelParserConfiguration in org.springframework.expression.spel

Methods in org.springframework.expression.spel that return SpelParserConfiguration
Modifier and Type
Method
Description
`SpelParserConfiguration`
ExpressionState.`getConfiguration()`
Constructors in org.springframework.expression.spel with parameters of type SpelParserConfiguration
Modifier
Constructor
Description
``
`ExpressionState(EvaluationContext context, SpelParserConfiguration configuration)`
``
`ExpressionState(EvaluationContext context, TypedValue rootObject, SpelParserConfiguration configuration)`

## Uses of SpelParserConfiguration in org.springframework.expression.spel.standard

Constructors in org.springframework.expression.spel.standard with parameters of type SpelParserConfiguration
Modifier
Constructor
Description
``
`SpelExpression(String expression, SpelNodeImpl ast, SpelParserConfiguration configuration)`
Construct an expression, only used by the parser.
``
`SpelExpressionParser(SpelParserConfiguration configuration)`
Create a parser with the specified configuration.